Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\FieldDefinitionList Class Reference

FieldDefinitionList. More...

## Public Member Functions
| __construct (ContentTypeService $contentTypeService, array $fieldDefinitionReferences)
| getFieldDefinitions ()
| Fetches and returns the field definitions contained in the list. More...

## Protected Attributes
| $fieldDefinitionReferences
| $contentTypeService

## Detailed Description

FieldDefinitionList.

Definition at line 14 of file Client/Values/FieldDefinitionList.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\FieldDefinitionList::__construct | ( | ContentTypeService | $contentTypeService,
|  | array | $fieldDefinitionReferences
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Client\ContentTypeService | $contentTypeService |
  string[] | $fieldDefinitionReferences |

Definition at line 34 of file Client/Values/FieldDefinitionList.php.

References eZ\Publish\Core\REST\Client\Values\FieldDefinitionList\$contentTypeService, and eZ\Publish\Core\REST\Client\Values\FieldDefinitionList\$fieldDefinitionReferences.

## Member Function Documentation

## ◆ getFieldDefinitions()

eZ\Publish\Core\REST\Client\Values\FieldDefinitionList::getFieldDefinitions | ( |  | ) |

Fetches and returns the field definitions contained in the list.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition[]

Definition at line 45 of file Client/Values/FieldDefinitionList.php.

## Member Data Documentation

## ◆ $contentTypeService

eZ\Publish\Core\REST\Client\Values\FieldDefinitionList::$contentTypeService
| protected

Definition at line 28 of file Client/Values/FieldDefinitionList.php.

Referenced by eZ\Publish\Core\REST\Client\Values\FieldDefinitionList\__construct().

## ◆ $fieldDefinitionReferences

eZ\Publish\Core\REST\Client\Values\FieldDefinitionList::$fieldDefinitionReferences
| protected

Definition at line 21 of file Client/Values/FieldDefinitionList.php.

Referenced by eZ\Publish\Core\REST\Client\Values\FieldDefinitionList\__construct().

The documentation for this class was generated from the following file:

- Client/Values/FieldDefinitionList.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.